# Uses of Class
org.eclipse.net4j.util.properties.Property

Packages that use Property
Package
Description
org.eclipse.net4j.util.properties
A framework to describe and access properties of POJOs and to support Eclipse `property testers` and `IPropertySources` in a uniform way.
org.eclipse.net4j.util.ui
Reusable UI components.

## Uses of Property in org.eclipse.net4j.util.properties

Subclasses of Property in org.eclipse.net4j.util.properties
Modifier and Type
Class
Description
`static class`
`Property.WithArguments<RECEIVER>`
Describes a property of a receiver object and extracts its value with given arguments.
Methods in org.eclipse.net4j.util.properties that return Property
Modifier and Type
Method
Description
`Property<RECEIVER>`
DefaultPropertyTester.`getProperty(String name)`
`Property<RECEIVER>`
IProperties.`getProperty(String name)`
`final Property<RECEIVER>`
Properties.`getProperty(String name)`
Methods in org.eclipse.net4j.util.properties that return types with arguments of type Property
Modifier and Type
Method
Description
`List<Property<RECEIVER>>`
DefaultPropertyTester.`getProperties()`
`List<Property<RECEIVER>>`
IPropertyProvider.`getProperties()`
`final List<Property<RECEIVER>>`
Properties.`getProperties()`
Methods in org.eclipse.net4j.util.properties with parameters of type Property
Modifier and Type
Method
Description
`void`
DefaultPropertyTester.`add(Property<RECEIVER> property)`
`void`
IProperties.`add(Property<RECEIVER> property)`
`final void`
Properties.`add(Property<RECEIVER> property)`

## Uses of Property in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui that return Property
Modifier and Type
Method
Description
`Property<RECEIVER>`
DefaultPropertySource.DelegatingPropertyDescriptor.`getProperty()`
`Property<RECEIVER>`
DefaultPropertySource.`getProperty(Object id)`
Methods in org.eclipse.net4j.util.ui with parameters of type Property
Modifier and Type
Method
Description
`boolean`
DefaultPropertySource.`addDescriptor(Property<RECEIVER> property)`
Method parameters in org.eclipse.net4j.util.ui with type arguments of type Property
Modifier and Type
Method
Description
`void`
PropertyExtender.`forEachExtendedProperty(Object selectedObject, Consumer<Property<?>> consumer)`
Constructors in org.eclipse.net4j.util.ui with parameters of type Property
Modifier
Constructor
Description
``
`DelegatingPropertyDescriptor(Property<RECEIVER> property)`